
Foreman - Bug #11221

Login failure with unicode surname

07/27/2015 07:30 AM - Veronika Kabatova

Status: Duplicate   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Testing Foreman with FreeIPA as LDAP Auth Source (with onthefly_register enabled), user has a unicode surname (full user name:

Robert Křižovatka).

When logging as this user in Foreman Web UI, it fails with "incorrect username or pasword".

Traceback from production log:

2015-07-27 06:59:21 [app] [I] 

 | 

 | Started POST "/users/login" for 2620:52:0:2282:6af7:28ff:fec1:b34b at 2015-07-27 06:59:21 -0400

2015-07-27 06:59:21 [app] [I] Processing by UsersController#login as HTML

2015-07-27 06:59:21 [app] [I]   Parameters: {"utf8"=>"✓", "authenticity_token"=>"Q44WOQeP5w9y2fpAW

CTLb4fveAYRxCmvag5qHZjewyE=", "login"=>{"login"=>"bob17432", "password"=>"[FILTERED]"}, "commit"=>

"Login"}

2015-07-27 06:59:21 [app] [D] Setting current user thread-local variable to nil

2015-07-27 06:59:21 [sql] [D]   User Load (0.7ms)  SELECT "users".* FROM "users" WHERE "users"."lo

wer_login" = 'bob17432' LIMIT 1

2015-07-27 06:59:21 [sql] [D] Attempting to log into an auth source as bob17432 for account auto-c

reation

2015-07-27 06:59:21 [sql] [D]   AuthSource Load (0.5ms)  SELECT "auth_sources".* FROM "auth_source

s" WHERE "auth_sources"."onthefly_register" = 't'

2015-07-27 06:59:21 [sql] [D] Authenticating 'bob17432' against 'LDAP-ipa-ldap-test7432'

2015-07-27 06:59:21 [sql] [D] LDAP auth with user bob17432 against LDAP-ipa-ldap-test7432

2015-07-27 06:59:21 [sql] [I] Successfully decrypted field for AuthSourceLdap ipa-ldap-test7432

2015-07-27 06:59:21 [sql] [D] Retrieved LDAP Attributes for bob17432: {:firstname=>"Robert", :last

name=>"K\xC5\x99i\xC5\xBEovatka", :mail=>"bob17432@domain.com", :dn=>"uid=bob17432,cn=users,cn=acc

ounts,dc=realm,dc=com"}

2015-07-27 06:59:21 [sql] [D] Authentication successful for 'bob17432'

2015-07-27 06:59:21 [sql] [D]   User Load (0.7ms)  SELECT "users".* FROM "users" WHERE "users"."lo

wer_login" = 'foreman_admin' LIMIT 1

2015-07-27 06:59:21 [app] [D] Setting current user thread-local variable to foreman_admin

2015-07-27 06:59:21 [sql] [D]    (0.1ms)  BEGIN

2015-07-27 06:59:21 [sql] [D]   User Exists (0.6ms)  SELECT 1 AS one FROM "users" WHERE LOWER("use

rs"."login") = LOWER('bob17432') LIMIT 1

2015-07-27 06:59:21 [sql] [D]   AuthSource Load (0.6ms)  SELECT "auth_sources".* FROM "auth_source

s" WHERE "auth_sources"."id" = 13 LIMIT 1

2015-07-27 06:59:21 [sql] [D]    (0.5ms)  SELECT COUNT(*) FROM "usergroups" WHERE "usergroups"."na

me" = 'bob17432'

2015-07-27 06:59:21 [sql] [D]    (0.8ms)  SELECT "roles".id FROM "roles" INNER JOIN "user_roles" O

N "roles"."id" = "user_roles"."role_id" WHERE "user_roles"."owner_id" IS NULL AND "user_roles"."ow

ner_type" = 'User'

2015-07-27 06:59:21 [sql] [D]    (0.2ms)  ROLLBACK

2015-07-27 06:59:21 [sql] [I] Failed to save User 'bob17432' ["Surname is invalid"]

2015-07-27 06:59:21 [app] [D] Setting current user thread-local variable to nil

2015-07-27 06:59:21 [sql] [I] invalid user

2015-07-27 06:59:21 [app] [D] Setting current user thread-local variable to nil
2015-07-27 06:59:21 [app] [I] Redirected to https://dell-pe1850-04.rhts.eng.bos.redhat.com/users/l

ogin

2015-07-27 06:59:21 [app] [I] Completed 302 Found in 124ms (ActiveRecord: 30.1ms)

 
rpm -qf /usr/share/foreman-installer/modules/foreman/lib/facter/sssd.rb /usr/share/foreman-install

er/modules/foreman/lib/facter/util/sssd.rb

foreman-installer-1.10.0-0.develop.201507210324gitb34c05c.el7.noarch

foreman-installer-1.10.0-0.develop.201507210324gitb34c05c.el7.noarch

Related issues:

Is duplicate of Foreman - Bug #7548: Cannot use UTF8 characters as a user's l... Closed 09/19/2014

History

#1 - 07/27/2015 07:58 AM - Dominic Cleal

- Is duplicate of Bug #7548: Cannot use UTF8 characters as a user's login, firstname or lastname added

#2 - 07/27/2015 07:59 AM - Dominic Cleal

- Status changed from New to Duplicate

Thanks for the bug report, we're tracking this issue under ticket #7548.
